<?php
 /**

 */

  date_default_timezone_set('America/Costa_Rica');

	include ("../conexion.php");

	$codfactura=$_GET["codfactura"];
	$horaactual = date("h:i:s A");

   
    $consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
		 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 $tipimp = $fila["TIPIMP"];
		 
		 $tipcomprobante=$fila["tipcomprobante"];


$tipofactura="APARTADO N. ";



   $consulta ="SELECT * FROM apartados WHERE codfactura='$codfactura'";
	  $result = $mysqli->query($consulta);
      $row = $result->fetch_array();

        $marcaestado = $row["estado"];
        $marcaborrado = $row["borrado"];
        $horfac = $row["horfac"];
        $fecha = $row["fecha"];
		$fecha= implode("-", array_reverse(explode("-", $fecha)));
        $cdgtipven = $row["cdgtipven"];
		$numfactura = $row["numfactura"];
	//	$numfactura    = substr($numfactura, -10);
		$cdgcli = $row["cdgcli"];
		$dsccli = $row["dsccli"];
        $fecven = $row["fechavencimiento"];
		$fecven= implode("-", array_reverse(explode("-", $fecven)));
		$codfactura = $row["codfactura"];
		$cdgcaj = $row["cdgven"];
		$obsfac = $row["obsfac"];
		$pagacon = $row["pagacon"];
		$vuelto = $row["vuelto"];
		
 
  	 if ($cdgcli == 9999 || $cdgcli==8888) {

	  $cliente ="Select * from apartados, web_0301 where apartados.codfactura=$codfactura and apartados.cdgcli= $cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dsccli = $row2["dsccli"];			  
		


	} else {



      $cliente ="Select * from apartados, web_0301 where apartados.codfactura=$codfactura and apartados.cdgcli= web_0301.cdgcli";
	  $result2 = $mysqli->query($cliente);
      $row2 = $result2->fetch_array();

      $dircli = $row2["DIRCLI"];
	  $cedcli = $row2["CEDCLI"];
	  $numtel = $row2["NUMTEL"];
	
				 
		
        }  
		
		if ($cdgtipven == 1 ) { $tipo_venta=""; $vencimiento ="";} else { $tipo_venta="";   $vencimiento =""; }
        

 		$usuario = "SELECT * FROM usuarios WHERE codusu='$cdgcaj'";
		$resultado3 = $mysqli->query($usuario);
		$row3 = $resultado3->fetch_array();
		$vendedor = $row3["usu"];



//if(($handle = @fopen("http://192.168.1.4/", "r")) === FALSE){


if(($handle = @fopen("LPT1", "w")) === FALSE){
        echo exec('Impresoras');
		echo exec('limpiar_cola');
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');





if ($cdgtipven==1) { 

fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON

}

		$subtotal        = 0;
		$impuesto_venta  = 0;
		$total_descuento = 0;
		$total           = 0;


if ($tipimp=="MATRIX"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////




//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura = $tipofactura." ".$numfactura;
	    $venfac = str_pad("Cajero: " . $vendedor , 23);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Articulo    "."          Cant."."       Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT aparlineas.*,web_1001.* FROM aparlineas,web_1001 WHERE aparlineas.codfactura='$codfactura' AND aparlineas.codigo=web_1001.cdgbar ORDER BY aparlineas.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
	echo	$cantidad=number_format($cantidad,2,'.',',');
						
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
   $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 22);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 21);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 20);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 18);
 $acotado = str_pad($acotado, 19);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea



					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, "----------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,$obsfac);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel


}//**********************************  Cierra tipo de impresora MATRIX ****************************************//

if ($tipimp=="TERMICA"){  //  ************************Si la impresora es TIPO TERMICA ****************************///////////////


fwrite($handle,chr(27). chr(64));//reinicio


//Salida: viernes 24 de febrero del 2012


fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(56));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27). chr(72). chr(5));//Color Rojo

fwrite($handle, "  ".$nomcom);

fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
	  $factura = $tipofactura.$tipo_venta.$numfactura;
fwrite($handle, $factura );
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *revisar *******
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
$CAJERO = str_pad("Cajero: " . $vendedor ,27);
fwrite($handle,"    Fecha: ". $fecha."                ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(8));//ESTACIO ENTRE LETRAS
  $dsccli = substr($dsccli." ", 0,30);
fwrite($handle,"    Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $CAJERO);
fwrite($handle, $vencimiento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"    Articulo    "."             Cant."."         TOTAL");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$consulta3 = "SELECT aparlineas.*,web_1001.* FROM aparlineas,web_1001 WHERE aparlineas.codfactura='$codfactura' AND aparlineas.codigo=web_1001.cdgbar ORDER BY aparlineas.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
							
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
			if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
        $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr( $dscart." ", 0, 23);
 $acotado = str_pad($acotado, 26);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr( $dscart." ", 0, 22);
 $acotado = str_pad($acotado, 25);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr( $dscart." ", 0, 21);
 $acotado = str_pad($acotado, 24);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr( $dscart." ", 0, 20);
 $acotado = str_pad($acotado, 23);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
   fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	
   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
							
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"----------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea				 
				 				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"                                     -----------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;
fwrite($handle,"       TOTAL NETO:");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total) ;
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(0));//ESTACIO ENTRE LETRAS



fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "    ".$obsfac ); 
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel


}//**********************************  Cierra tipo de impresora TERMICA ****************************************//

	
if ($tipimp=="BEMANTECH"){  //  ************************Si la impresora es TIPO MATRIX ****************************///////////////




//fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON


fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle,"Tel. ".$numtel_empresa);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//centro
	  $factura =$tipofactura.$numfactura."        ";
	    $venfac = str_pad("Cajero: " . $vendedor , 39);
fwrite($handle,$factura);
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Fecha: ". $fecha."                            ".$horaactual);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//izquierda
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"Cliente: " . $cdgcli ."-".$dsccli);
fwrite($handle, chr(27). chr(33). chr(9));//ESTACIO ENTRE LETRAS
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//derecha
fwrite($handle, $venfac);
fwrite($handle, $vencimiento);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(0));//Izquierda
fwrite($handle,"Cant.  ". "  Articulo"."             Precio");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha

$consulta3 = "SELECT aparlineas.*,web_1001.* FROM aparlineas,web_1001 WHERE aparlineas.codfactura='$codfactura' AND aparlineas.codigo=web_1001.cdgbar ORDER BY aparlineas.numlinea ASC";
if ($resultado3 = $mysqli->query($consulta3)) 
$contador=0;

		 while ($fila = $resultado3->fetch_assoc()) {

        $numlinea  = $fila["numlinea"];
        $cdgbar    = $fila["codigo"];
        $dscart    = $fila["dscart"];
		$cantidad  = $fila["cantidad"];
		$preivi    = $fila["preivi"];
		$prenivi   = $fila["prenivi"];
		$importe   = $fila["importe"];
		$impuesto  = $fila["impuesto"];
		$descuento = $fila["mondes"];
		
		$subtotal=$subtotal + $importe;
		$impuesto_venta=$impuesto_venta + $impuesto;
		$total_descuento=$total_descuento + $descuento;
		$total=$subtotal-$total_descuento+$impuesto_venta;
		$total=round($total);
        $cantidad=number_format($cantidad,2,'.',',');
		if ($impuesto > 0 ) { $impart="G"; } else { $impart="E"; }
   $sublin=$importe;
// formula inserta espacion ///

$tamaño=strlen($cantidad);
if($tamaño==4)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 38);
 $canart = str_pad($cantidad, 4); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
 if($tamaño==5)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 37);
 $canart = str_pad($cantidad, 5); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
  if($tamaño==6)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 36);
 $canart = str_pad($cantidad, 6); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
 
   if($tamaño==7)   {  
  $acotado = substr($dscart." ", 0, 30);
 $acotado = str_pad($acotado, 35);
 $canart = str_pad($cantidad, 7); 
 $resultado=number_format($sublin,2,".",",");
 $sublin=sprintf("%13s",$resultado) ;
 } 
  
		fwrite($handle, chr(27). chr(97). chr(2));//derecha		
   fwrite($handle, $acotado ."". $canart ."". $sublin."".$impart);	


   fwrite($handle, chr(27). chr(100). chr(1));//salto de linea


					
								
				 } 
				 
				 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"--------------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
$resultado=number_format($subtotal,2,".",",");
$sublin=sprintf("%13s",$resultado) ;
fwrite($handle,"       Subtotal:  ");
fwrite($handle,$sublin);

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
$total_desc=number_format($total_descuento,2,".",",");
$descuento=sprintf("%13s",$total_desc) ;
fwrite($handle,"       Descuento:  ");
fwrite($handle, $descuento);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
$impuesto=number_format($impuesto_venta,2,".",",");
$impuesto_venta=sprintf("%13s",$impuesto) ;
fwrite($handle,"       I.V :  ");
fwrite($handle, $impuesto_venta);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

$total_neto=number_format($total,2,".",",");
$total=sprintf("%13s",$total_neto) ;

fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS
fwrite($handle,"TOTAL NETO:  ");
fwrite($handle, chr(27). chr(97). chr(2));//Derecha
fwrite($handle, $total);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 



fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle,"-----------------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

//fwrite($handle,$horaactual);
//fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Gracias Por Preferirnos"  );
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(109). chr(0));//salto de linea
fwrite($handle, chr(29). chr(27). chr(105));//Corta el Papel



}//**********************************  Cierra tipo de impresora MATRIX ****************************************//	
		 
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr LPT1'); //lpr->puerto impresora, imprimir archivo PRN
echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>

 